package com.quantgroup.asset.distribution.service.newrule.common;

import com.quantgroup.asset.distribution.service.jpa.entity.ProductRuleEntity;
import com.quantgroup.asset.distribution.service.newrule.IRuleVerifyService;
import com.quantgroup.asset.distribution.service.newrule.pojo.enums.SpecialRuleEnum;
import com.quantgroup.asset.distribution.service.newrule.pojo.funds.RuleParam;
import com.quantgroup.asset.distribution.service.newrule.service.IProductRuleService;

import javax.annotation.Resource;

/**
 * @author shihuajun
 * @date 2021/8/28 12:00
 * @ describing
 */
public class AbstractProductRuleVerifyImpl implements IRuleVerifyService {
    @Resource
    private IProductRuleService productRuleService;

    @Override
    public boolean pass(RuleParam param) {
        return false;
    }

    @Override
    public ProductRuleEntity getRuleDetail() {
        return productRuleService.getProductRuleEntityByRuleMame(this.specialRuleName().name());
    }

    @Override
    public SpecialRuleEnum specialRuleName() {
        return null;
    }
}
